Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360671 - TypeError: unorderable types: int() <= NoneType()
Summary: TypeError: unorderable types: int() <= NoneType()
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9ffe15a32fd81c70bd29af84608...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 09:45 UTC by robert fairbrother
Modified: 2017-08-08 15:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:55:42 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2016-07-27 09:45 UTC, robert fairbrother
no flags Details
File: anaconda.log (deleted)
2016-07-27 09:45 UTC, robert fairbrother
no flags Details
File: dnf.log (deleted)
2016-07-27 09:45 UTC, robert fairbrother
no flags Details
File: dnf.rpm.log (deleted)
2016-07-27 09:45 UTC, robert fairbrother
no flags Details
File: environ (deleted)
2016-07-27 09:45 UTC, robert fairbrother
no flags Details
File: journalctl (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: lsblk_output (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: nmcli_dev_list (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: os_info (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: program.log (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: storage.log (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: ifcfg.log (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details
File: packaging.log (deleted)
2016-07-27 09:46 UTC, robert fairbrother
no flags Details

Description robert fairbrother 2016-07-27 09:45:48 UTC
Description of problem:
ccccc

Version-Release number of selected component:
anaconda-core-24.13.7-1.fc24.i686

The following was filed automatically by anaconda:
anaconda 24.13.7-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/pyanaconda/ui/tui/spokes/software.py", line 194, in input
    0 <= self._selection < len(self.payload.environments):
  File "/usr/lib/python3.5/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 439, in input
    key = self._screens[-1][0].input(args, key)
TypeError: unorderable types: int() <= NoneType()

Additional info:
cmdline:        /usr/bin/python3  /usr/sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-24-1-2 rd.live.image rd.live.check quiet init 3
executable:     /usr/sbin/anaconda
hashmarkername: anaconda
kernel:         4.5.5-300.fc24.i686
other involved packages: anaconda-tui-24.13.7-1.fc24.i686
product:        Fedora
release:        Fedora release 24 (Twenty Four)
type:           anaconda
version:        24

Comment 1 robert fairbrother 2016-07-27 09:45:53 UTC
Created attachment 1184553 [details]
File: anaconda-tb

Comment 2 robert fairbrother 2016-07-27 09:45:55 UTC
Created attachment 1184554 [details]
File: anaconda.log

Comment 3 robert fairbrother 2016-07-27 09:45:56 UTC
Created attachment 1184555 [details]
File: dnf.log

Comment 4 robert fairbrother 2016-07-27 09:45:57 UTC
Created attachment 1184556 [details]
File: dnf.rpm.log

Comment 5 robert fairbrother 2016-07-27 09:45:58 UTC
Created attachment 1184557 [details]
File: environ

Comment 6 robert fairbrother 2016-07-27 09:46:00 UTC
Created attachment 1184558 [details]
File: journalctl

Comment 7 robert fairbrother 2016-07-27 09:46:01 UTC
Created attachment 1184559 [details]
File: lsblk_output

Comment 8 robert fairbrother 2016-07-27 09:46:02 UTC
Created attachment 1184560 [details]
File: nmcli_dev_list

Comment 9 robert fairbrother 2016-07-27 09:46:03 UTC
Created attachment 1184561 [details]
File: os_info

Comment 10 robert fairbrother 2016-07-27 09:46:05 UTC
Created attachment 1184562 [details]
File: program.log

Comment 11 robert fairbrother 2016-07-27 09:46:07 UTC
Created attachment 1184563 [details]
File: storage.log

Comment 12 robert fairbrother 2016-07-27 09:46:08 UTC
Created attachment 1184564 [details]
File: ifcfg.log

Comment 13 robert fairbrother 2016-07-27 09:46:09 UTC
Created attachment 1184565 [details]
File: packaging.log

Comment 14 Fedora End Of Life 2017-07-25 22:05:36 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:55:42 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.